CMPIENUMERATION(3)

NAME
CMPIEnumeration - CMPIEnumeration class implementation

SYNOPSIS

  Public Attributes
int void * hdl
Opaque pointer to class instance data.
CMPIEnumerationFT * ft
Pointer to the Args Function Table.

METHODS
CMPIStatus(* release )(CMPIEnumeration *en)
The Enumeration object will not be used any further and may be freed by CMPI run time system.
CMPIEnumeration *(* clone )(CMPIEnumeration *en, CMPIStatus *rc)
Create an independent copy of this Enumeration object.
CMPIData(* getNext )(CMPIEnumeration *en, CMPIStatus *rc)
Get the next element of this Enumeration.
CMPIBoolean(* hasNext )(CMPIEnumeration *en, CMPIStatus *rc)
Test for any elements left in this Enumeration.
CMPIArray *(* toArray )(CMPIEnumeration *en, CMPIStatus *rc)
Convert this Enumeration into an Array.

DESCRIPTION

Native CMPIEnumeration implementation.

This is the native CMPIEnumeration implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIEnumeration, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup